Bug 8068 - Update request: kernel-3.4.24-3.mga2
: Update request: kernel-3.4.24-3.mga2
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: 2
: All Linux
: Normal Severity: normal
: ---
Assigned To: QA Team
:
:
: MGA2-64-OK MGA2-32-OK
: validated_update
: 8227
: 7375 7659 7853 8069
  Show dependency treegraph
 
Reported: 2012-11-13 18:09 CET by Thomas Backlund
Modified: 2013-01-18 01:27 CET (History)
10 users (show)

See Also:
Source RPM: kernel-3.4.24-1.mga2
CVE:
Status comment:


Attachments
urpmi --auto-select output (103.89 KB, text/plain)
2013-01-04 02:00 CET, Dave Hodgins
Details
dmesg file booting kernel-desktop-3.4.24-3.mga2 (63.80 KB, text/plain)
2013-01-12 11:50 CET, David GEIGER
Details

Description Thomas Backlund 2012-11-13 18:09:46 CET
This is an update request for kernel-3.4.18-1.mga2


SRPMS:
kernel-3.4.18-1.mga2.src.rpm
kernel-userspace-headers-3.4.18-1.mga2.src.rpm
kmod-xtables-addons-1.41-15.mga2.src.rpm

broadcom-wl-5.100.82.112-6.mga2.nonfree.src.rpm
fglrx-8.961-2.mga2.nonfree.src.rpm
kmod-broadcom-wl-5.100.82.112-34.mga2.nonfree.src.rpm
kmod-fglrx-8.961-11.mga2.nonfree.src.rpm
kmod-nvidia-current-295.71-6.mga2.nonfree.src.rpm



i586:
cpupower-3.4.18-1.mga2.i586.rpm
cpupower-devel-3.4.18-1.mga2.i586.rpm
kernel-desktop586-3.4.18-1.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-3.4.18-1.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-latest-3.4.18-1.mga2.i586.rpm
kernel-desktop586-latest-3.4.18-1.mga2.i586.rpm
kernel-desktop-3.4.18-1.mga2-1-1.mga2.i586.rpm
kernel-desktop-devel-3.4.18-1.mga2-1-1.mga2.i586.rpm
kernel-desktop-devel-latest-3.4.18-1.mga2.i586.rpm
kernel-desktop-latest-3.4.18-1.mga2.i586.rpm
kernel-doc-3.4.18-1.mga2.noarch.rpm
kernel-netbook-3.4.18-1.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-3.4.18-1.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-latest-3.4.18-1.mga2.i586.rpm
kernel-netbook-latest-3.4.18-1.mga2.i586.rpm
kernel-server-3.4.18-1.mga2-1-1.mga2.i586.rpm
kernel-server-devel-3.4.18-1.mga2-1-1.mga2.i586.rpm
kernel-server-devel-latest-3.4.18-1.mga2.i586.rpm
kernel-server-latest-3.4.18-1.mga2.i586.rpm
kernel-source-3.4.18-1.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.18-1.mga2.noarch.rpm
kernel-userspace-headers-3.4.18-1.mga2.i586.rpm
perf-3.4.18-1.mga2.i586.rpm
xtables-addons-kernel-3.4.18-desktop-1.mga2-1.41-15.mga2.i586.rpm
xtables-addons-kernel-3.4.18-desktop586-1.mga2-1.41-15.mga2.i586.rpm
xtables-addons-kernel-3.4.18-netbook-1.mga2-1.41-15.mga2.i586.rpm
xtables-addons-kernel-3.4.18-server-1.mga2-1.41-15.mga2.i586.rpm
xtables-addons-kernel-desktop586-latest-1.41-15.mga2.i586.rpm
xtables-addons-kernel-desktop-latest-1.41-15.mga2.i586.rpm
xtables-addons-kernel-netbook-latest-1.41-15.mga2.i586.rpm
xtables-addons-kernel-server-latest-1.41-15.mga2.i586.rpm

broadcom-wl-kernel-3.4.18-desktop-1.mga2-5.100.82.112-34.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.18-desktop586-1.mga2-5.100.82.112-34.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.18-netbook-1.mga2-5.100.82.112-34.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.18-server-1.mga2-5.100.82.112-34.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-5.100.82.112-34.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-34.mga2.nonfree.i586.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-34.mga2.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-34.mga2.nonfree.i586.rpm
dkms-broadcom-wl-5.100.82.112-6.mga2.nonfree.i586.rpm
dkms-fglrx-8.961-2.mga2.nonfree.i586.rpm
fglrx-control-center-8.961-2.mga2.nonfree.i586.rpm
fglrx-devel-8.961-2.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.18-desktop-1.mga2-8.961-11.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.18-desktop586-1.mga2-8.961-11.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.18-netbook-1.mga2-8.961-11.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.18-server-1.mga2-8.961-11.mga2.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-8.961-11.mga2.nonfree.i586.rpm
fglrx-kernel-desktop-latest-8.961-11.mga2.nonfree.i586.rpm
fglrx-kernel-netbook-latest-8.961-11.mga2.nonfree.i586.rpm
fglrx-kernel-server-latest-8.961-11.mga2.nonfree.i586.rpm
fglrx-opencl-8.961-2.mga2.nonfree.i586.rpm
x11-driver-video-fglrx-8.961-2.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.18-desktop-1.mga2-295.71-6.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.18-desktop586-1.mga2-295.71-6.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.18-netbook-1.mga2-295.71-6.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.18-server-1.mga2-295.71-6.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-295.71-6.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-295.71-6.mga2.nonfree.i586.rpm
nvidia-current-kernel-netbook-latest-295.71-6.mga2.nonfree.i586.rpm
nvidia-current-kernel-server-latest-295.71-6.mga2.nonfree.i586.rpm



x86_64:
cpupower-3.4.18-1.mga2.x86_64.rpm
cpupower-devel-3.4.18-1.mga2.x86_64.rpm
kernel-desktop-3.4.18-1.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-3.4.18-1.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-latest-3.4.18-1.mga2.x86_64.rpm
kernel-desktop-latest-3.4.18-1.mga2.x86_64.rpm
kernel-doc-3.4.18-1.mga2.noarch.rpm
kernel-netbook-3.4.18-1.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-3.4.18-1.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-latest-3.4.18-1.mga2.x86_64.rpm
kernel-netbook-latest-3.4.18-1.mga2.x86_64.rpm
kernel-server-3.4.18-1.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-3.4.18-1.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-latest-3.4.18-1.mga2.x86_64.rpm
kernel-server-latest-3.4.18-1.mga2.x86_64.rpm
kernel-source-3.4.18-1.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.18-1.mga2.noarch.rpm
kernel-userspace-headers-3.4.18-1.mga2.x86_64.rpm
perf-3.4.18-1.mga2.x86_64.rpm
xtables-addons-kernel-3.4.18-desktop-1.mga2-1.41-15.mga2.x86_64.rpm
xtables-addons-kernel-3.4.18-netbook-1.mga2-1.41-15.mga2.x86_64.rpm
xtables-addons-kernel-3.4.18-server-1.mga2-1.41-15.mga2.x86_64.rpm
xtables-addons-kernel-desktop-latest-1.41-15.mga2.x86_64.rpm
xtables-addons-kernel-netbook-latest-1.41-15.mga2.x86_64.rpm
xtables-addons-kernel-server-latest-1.41-15.mga2.x86_64.rpm

broadcom-wl-kernel-3.4.18-desktop-1.mga2-5.100.82.112-34.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.18-netbook-1.mga2-5.100.82.112-34.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.18-server-1.mga2-5.100.82.112-34.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-34.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-34.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-34.mga2.nonfree.x86_64.rpm
dkms-broadcom-wl-5.100.82.112-6.mga2.nonfree.x86_64.rpm
dkms-fglrx-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-control-center-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-devel-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.18-desktop-1.mga2-8.961-11.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.18-netbook-1.mga2-8.961-11.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.18-server-1.mga2-8.961-11.mga2.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-8.961-11.mga2.nonfree.x86_64.rpm
fglrx-kernel-netbook-latest-8.961-11.mga2.nonfree.x86_64.rpm
fglrx-kernel-server-latest-8.961-11.mga2.nonfree.x86_64.rpm
fglrx-opencl-8.961-2.mga2.nonfree.x86_64.rpm
x11-driver-video-fglrx-8.961-2.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.18-desktop-1.mga2-295.71-6.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.18-netbook-1.mga2-295.71-6.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.18-server-1.mga2-295.71-6.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-295.71-6.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-netbook-latest-295.71-6.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-295.71-6.mga2.nonfree.x86_64.rpm



Advisory:
- to be written...



Testing:
- installs, boots and runs ok
- upgrade from 3.3 series:
  IMPORTANT: test that upgrade with prebuilt nvidia/fglrx modules installed
  works, and system boots up properly on next boot (this failed for some
  with the 3.3.8-2 kernel update)
Comment 1 user7 2012-11-14 01:27:23 CET
Are you sure this list is complete? A new kmod (kmod-7-7.mga2) was pulled in by one of the packes (dependency of one of the kernel packages - sorry I don't recall the exact package).

Testing on Mga2, i586. I'll report back in some days.

System: Laptop Thinkpad L510
Intel Core 2 Duo T6570 / 2.10 GHz
Intel GMA 4500MHD Dynamic Video Memory Technology 5.0
RTL 8191SEvB Wireless LAN Controller
HDA Intel (ALC 269 Analog) Sound card
Comment 2 user7 2012-11-14 01:29:07 CET
Note: for hints on how and what to test, see bug 6914 (previous kernel update).
Comment 3 Thomas Backlund 2012-11-14 16:02:12 CET
Yep, kmod will get a separate request (that will block this one) but I forgot to write it yesterday
Comment 4 David GEIGER 2012-11-17 07:44:56 CET
Testing complete for the kernel-desktop-3.4.18-1 on Mageia release 2 (Official) for x86_64 ,for me it's Ok nothing to report and it works fine.

kernel-desktop-latest-3.4.18-1.mga2
kernel-desktop-3.4.18-1.mga2-1-1.mga2
kernel-doc-3.4.18-1.mga2
kernel-userspace-headers-3.4.18-1.mga2
kernel-desktop-devel-latest-3.4.18-1.mga2
kernel-desktop-devel-3.4.18-1.mga2-1-1.mga2


My PC Laptop:

-ASUSTeK Computer Inc. K73SD/K73SD, BIOS K73SD.203 12/22/2011
-Graphical card : Intel and Nvidia (Optimus Technologie)
-VGA switcheroo: detected Optimus DSM method \_SB_.PCI0.PEG0.GFX0 handle
-CPU :  ‎Intel(R) Core(TM) i3-2350M CPU @ 2.30GHz

Card:Intel 810 and later: Intel Corporation|2nd Generation Core Processor Family Integrated Graphics Controller [DISPLAY_VGA] (vendor:8086 device:0116 subv:1043 subd:1682) (rev: 09)

Card:NVIDIA GeForce 400 series and later: nVidia Corporation|Device 105a [DISPLAY_VGA] (vendor:10de device:105a subv:1043 subd:2112) (rev: a1)
Comment 5 Thomas Backlund 2012-11-18 21:02:26 CET
taking it back, will respin 3.4.19 because of some oops and CVE fixes
Comment 6 user7 2012-11-20 20:52:36 CET
Ok, I'll retest with the new kernel then. Please leave a comment here in case you open a new bug report for it. Thanks in advance!
Comment 7 Bert Aerts 2012-11-27 12:06:24 CET
I just saw that in the repo core/updates_testing the kernel 3.4.19 rpm's have been removed.

Are there no plans anymore to upgrade the 3.3.8 kernel in Mageia 2?
Comment 8 Thomas Backlund 2012-11-27 12:28:44 CET
3.4.20 will land today in testing.

I wiperd the older ones on saturday morning as 3.4.20 was supposed to be released upstream then, but that got delayed and 3.4.20 was released last night...
Comment 9 Thomas Backlund 2012-11-27 21:18:35 CET
New packages for validation:

i586:
cpupower-3.4.20-1.mga2.i586.rpm
cpupower-devel-3.4.20-1.mga2.i586.rpm
kernel-desktop-3.4.20-1.mga2-1-1.mga2.i586.rpm
kernel-desktop586-3.4.20-1.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-3.4.20-1.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-latest-3.4.20-1.mga2.i586.rpm
kernel-desktop586-latest-3.4.20-1.mga2.i586.rpm
kernel-desktop-devel-3.4.20-1.mga2-1-1.mga2.i586.rpm
kernel-desktop-devel-latest-3.4.20-1.mga2.i586.rpm
kernel-desktop-latest-3.4.20-1.mga2.i586.rpm
kernel-doc-3.4.20-1.mga2.noarch.rpm
kernel-netbook-3.4.20-1.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-3.4.20-1.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-latest-3.4.20-1.mga2.i586.rpm
kernel-netbook-latest-3.4.20-1.mga2.i586.rpm
kernel-server-3.4.20-1.mga2-1-1.mga2.i586.rpm
kernel-server-devel-3.4.20-1.mga2-1-1.mga2.i586.rpm
kernel-server-devel-latest-3.4.20-1.mga2.i586.rpm
kernel-server-latest-3.4.20-1.mga2.i586.rpm
kernel-source-3.4.20-1.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.20-1.mga2.noarch.rpm
kernel-userspace-headers-3.4.20-1.mga2.i586.rpm
perf-3.4.20-1.mga2.i586.rpm

xtables-addons-kernel-3.4.20-desktop-1.mga2-1.41-17.mga2.i586.rpm
xtables-addons-kernel-3.4.20-desktop586-1.mga2-1.41-17.mga2.i586.rpm
xtables-addons-kernel-3.4.20-netbook-1.mga2-1.41-17.mga2.i586.rpm
xtables-addons-kernel-3.4.20-server-1.mga2-1.41-17.mga2.i586.rpm
xtables-addons-kernel-desktop586-latest-1.41-17.mga2.i586.rpm
xtables-addons-kernel-desktop-latest-1.41-17.mga2.i586.rpm
xtables-addons-kernel-netbook-latest-1.41-17.mga2.i586.rpm
xtables-addons-kernel-server-latest-1.41-17.mga2.i586.rpm

broadcom-wl-kernel-3.4.20-desktop-1.mga2-5.100.82.112-36.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.20-desktop586-1.mga2-5.100.82.112-36.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.20-netbook-1.mga2-5.100.82.112-36.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.20-server-1.mga2-5.100.82.112-36.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-5.100.82.112-36.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-36.mga2.nonfree.i586.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-36.mga2.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-36.mga2.nonfree.i586.rpm
dkms-broadcom-wl-5.100.82.112-6.mga2.nonfree.i586.rpm

dkms-fglrx-8.961-2.mga2.nonfree.i586.rpm
fglrx-control-center-8.961-2.mga2.nonfree.i586.rpm
fglrx-devel-8.961-2.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.20-desktop-1.mga2-8.961-13.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.20-desktop586-1.mga2-8.961-13.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.20-netbook-1.mga2-8.961-13.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.20-server-1.mga2-8.961-13.mga2.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-8.961-13.mga2.nonfree.i586.rpm
fglrx-kernel-desktop-latest-8.961-13.mga2.nonfree.i586.rpm
fglrx-kernel-netbook-latest-8.961-13.mga2.nonfree.i586.rpm
fglrx-kernel-server-latest-8.961-13.mga2.nonfree.i586.rpm
fglrx-opencl-8.961-2.mga2.nonfree.i586.rpm
x11-driver-video-fglrx-8.961-2.mga2.nonfree.i586.rpm

nvidia-current-kernel-3.4.20-desktop-1.mga2-295.71-8.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.20-desktop586-1.mga2-295.71-8.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.20-netbook-1.mga2-295.71-8.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.20-server-1.mga2-295.71-8.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-295.71-8.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-295.71-8.mga2.nonfree.i586.rpm
nvidia-current-kernel-netbook-latest-295.71-8.mga2.nonfree.i586.rpm
nvidia-current-kernel-server-latest-295.71-8.mga2.nonfree.i586.rpm



x86_64:
cpupower-3.4.20-1.mga2.x86_64.rpm
cpupower-devel-3.4.20-1.mga2.x86_64.rpm
kernel-desktop-3.4.20-1.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-3.4.20-1.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-latest-3.4.20-1.mga2.x86_64.rpm
kernel-desktop-latest-3.4.20-1.mga2.x86_64.rpm
kernel-doc-3.4.20-1.mga2.noarch.rpm
kernel-netbook-3.4.20-1.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-3.4.20-1.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-latest-3.4.20-1.mga2.x86_64.rpm
kernel-netbook-latest-3.4.20-1.mga2.x86_64.rpm
kernel-server-3.4.20-1.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-3.4.20-1.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-latest-3.4.20-1.mga2.x86_64.rpm
kernel-server-latest-3.4.20-1.mga2.x86_64.rpm
kernel-source-3.4.20-1.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.20-1.mga2.noarch.rpm
kernel-userspace-headers-3.4.20-1.mga2.x86_64.rpm
perf-3.4.20-1.mga2.x86_64.rpm

xtables-addons-kernel-3.4.20-desktop-1.mga2-1.41-17.mga2.x86_64.rpm
xtables-addons-kernel-3.4.20-netbook-1.mga2-1.41-17.mga2.x86_64.rpm
xtables-addons-kernel-3.4.20-server-1.mga2-1.41-17.mga2.x86_64.rpm
xtables-addons-kernel-desktop-latest-1.41-17.mga2.x86_64.rpm
xtables-addons-kernel-netbook-latest-1.41-17.mga2.x86_64.rpm
xtables-addons-kernel-server-latest-1.41-17.mga2.x86_64.rpm

broadcom-wl-kernel-3.4.20-desktop-1.mga2-5.100.82.112-36.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.20-netbook-1.mga2-5.100.82.112-36.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.20-server-1.mga2-5.100.82.112-36.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-36.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-36.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-36.mga2.nonfree.x86_64.rpm
dkms-broadcom-wl-5.100.82.112-6.mga2.nonfree.x86_64.rpm

dkms-fglrx-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-control-center-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-devel-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.20-desktop-1.mga2-8.961-13.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.20-netbook-1.mga2-8.961-13.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.20-server-1.mga2-8.961-13.mga2.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-8.961-13.mga2.nonfree.x86_64.rpm
fglrx-kernel-netbook-latest-8.961-13.mga2.nonfree.x86_64.rpm
fglrx-kernel-server-latest-8.961-13.mga2.nonfree.x86_64.rpm
fglrx-opencl-8.961-2.mga2.nonfree.x86_64.rpm
x11-driver-video-fglrx-8.961-2.mga2.nonfree.x86_64.rpm

nvidia-current-kernel-3.4.20-desktop-1.mga2-295.71-8.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.20-netbook-1.mga2-295.71-8.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.20-server-1.mga2-295.71-8.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-295.71-8.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-netbook-latest-295.71-8.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-295.71-8.mga2.nonfree.x86_64.rpm



SRPMS:
kernel-3.4.20-1.mga2.src.rpm
kernel-userspace-headers-3.4.20-1.mga2.src.rpm

kmod-xtables-addons-1.41-17.mga2.src.rpm

broadcom-wl-5.100.82.112-6.mga2.nonfree.src.rpm
kmod-broadcom-wl-5.100.82.112-36.mga2.nonfree.src.rpm

fglrx-8.961-2.mga2.nonfree.src.rpm
kmod-fglrx-8.961-13.mga2.nonfree.src.rpm

kmod-nvidia-current-295.71-8.mga2.nonfree.src.rpm
Comment 10 David GEIGER 2012-11-30 21:49:13 CET
Testing complete for the kernel-desktop-3.4.20-1 on Mageia release 2 (Official)
for x86_64 ,for me it's Ok nothing to report and it works fine.

kernel-desktop-latest-3.4.20-1.mga2
kernel-desktop-3.4.20-1.mga2-1-1.mga2
kernel-doc-3.4.20-1.mga2
kernel-userspace-headers-3.4.20-1.mga2
kernel-desktop-devel-latest-3.4.20-1.mga2
kernel-desktop-devel-3.4.20-1.mga2-1-1.mga2


My PC Laptop:

-ASUSTeK Computer Inc. K73SD/K73SD, BIOS K73SD.203 12/22/2011
-Graphical card : Intel and Nvidia (Optimus Technologie)
-VGA switcheroo: detected Optimus DSM method \_SB_.PCI0.PEG0.GFX0 handle
-CPU :  ‎Intel(R) Core(TM) i3-2350M CPU @ 2.30GHz

Card:Intel 810 and later: Intel Corporation|2nd Generation Core Processor
Family Integrated Graphics Controller [DISPLAY_VGA] (vendor:8086 device:0116
subv:1043 subd:1682) (rev: 09)

Card:NVIDIA GeForce 400 series and later: nVidia Corporation|Device 105a
[DISPLAY_VGA] (vendor:10de device:105a subv:1043 subd:2112) (rev: a1)
Comment 11 Simon Putt 2012-12-01 09:21:13 CET
Kernel seems fine here also, no errors in kmesg

System:    Host: electronicbox Kernel: 3.4.20-desktop-1.mga2 x86_64 (64 bit) Desktop: Gnome Distro: "Mageia" 2 thornicroft
CPU:       Hexa core AMD Phenom II X6 1090T (-MCP-) clocked at 800.00 MHz 
Graphics:  Card: ATI Juniper XT [AMD Radeon HD 6000 Series] X.Org: 1.11.4 driver: radeon Resolution: 2048x1152@59.9hz 
           GLX Renderer: Gallium 0.4 on AMD JUNIPER GLX Version: 2.1 Mesa 8.0.5
Drives:    HDD Total Size: 4128.9GB (86.2% used)
Info:      Processes: 248 Uptime: 19:09 Memory: 3588.8/16053.0MB Client: Shell (bash) inxi: 1.8.23
Comment 12 Sander Lepik 2012-12-01 12:24:51 CET
kernel-desktop works for me too on x86_64 (running with nouveau video).
Comment 13 Dave Hodgins 2012-12-02 23:51:49 CET
The good news is that all 5 kernels are working here, on an i586 install.

The bad news, is that rebooting the old kernels required dkms to recompile
the fglrx module, which failed, as I'd run urpme --auto-orphans after
installing the new kernels, so the devel packages had been removed.

Can the old versions of the module not be kept until the old kernels are
uninstalled?
Comment 14 Thomas Backlund 2012-12-06 21:30:07 CET
that's normal procedure for dkms-* built modules wthen -devel package disappear, prebuilt modules should stay

if the prebuilt modules get lost at the same time, we are screwed :/
Comment 15 user7 2012-12-07 01:35:36 CET
Testing complete on MGA2, i586.

SRPMs:
kernel-3.4.20-1.mga2.src.rpm
kernel-userspace-headers-3.4.20-1.mga2.src.rpm

What was tested: only kernel-desktop; boot, sound, usb, card reader, cd/dvd, bluetooth all ok, used for several days without problems

What was not tested: suspend, fingerprint reader, wifi (scanning works, but have no network to connect to)

System: Laptop Thinkpad L510
Intel Core 2 Duo T6570 / 2.10 GHz
Intel GMA 4500MHD Dynamic Video Memory Technology 5.0
RTL 8191SEvB Wireless LAN Controller
RTL8101E/RTL8102E PCI Express Fast Ethernet controller
HDA Intel (ALC 269 Analog) Sound card
Optical device: HL-DT-STDVDRAM GT30N

Summary: Everything OK, nothing to report.
Comment 16 Bert Aerts 2012-12-16 21:36:26 CET
Just a question...

Can the Alps Touchpad kernel patch described in
https://forums.mageia.org/en/viewtopic.php?f=8&t=3981
be included in this 3.4.20 Mageia 2 kernel?

It is about taking alps.c and alps.h from
http://www.dahetral.com/public-download/psmouse-alps-dst-1.0.tbz/view
and put them in drivers/input/mouse/

Full kernel build is needed as psmouse module is part of kernel iso loadable module like e.g. sermouse.

I did it, made a custom kernel based on 3.4.20 and my Alps Touchpad is detected and works just fine now.

(I needed the option to turn the touchpad off during typing on my Dell Inspiron 17R SE 7720 as otherwise cursor sometimes jumps.)

My custom kernel still suffers from
+ no compression of modules .ko to .ko.xz
+ VMware Workstation 9.0.1 does not yet start see
https://forums.mageia.org/en/viewtopic.php?f=8&t=4026
Comment 17 Bert Aerts 2012-12-18 10:41:33 CET
In the meantime 3.4.24 is out.
https://lwn.net/Articles/529512/
Will it be provided for Mageia 2?
Comment 18 claire robinson 2012-12-18 12:44:26 CET
kernel-linus was built at the weekend
Comment 19 Dave Hodgins 2012-12-19 03:54:27 CET
With the installation of kernel-tmb-desktop-3.4.24-1.mga2 I encountered ...
fglrx: Multiple versions in DKMS. Unsure what to do. Resolve manually.

# dkms status -m fglrx
fglrx, 8.961-2.mga2.nonfree: added
fglrx, 8.98: added
fglrx, 8.961-2.mga2.nonfree, 3.4.20-server-1.mga2, x86_64: installed-binary from 3.4.20-server-1.mga2
fglrx, 8.961-2.mga2.nonfree, 3.4.19-server-1.mga2, x86_64: installed-binary from 3.4.19-server-1.mga2
fglrx, 8.961-2.mga2.nonfree, 3.4.19-desktop-1.mga2, x86_64: installed-binary from 3.4.19-desktop-1.mga2
fglrx, 8.961-2.mga2.nonfree, 3.4.19-netbook-1.mga2, x86_64: installed-binary from 3.4.19-netbook-1.mga2
fglrx, 8.961-2.mga2.nonfree, 3.4.20-netbook-1.mga2, x86_64: installed-binary from 3.4.20-netbook-1.mga2
fglrx, 8.961-2.mga2.nonfree, 3.4.20-desktop-1.mga2, x86_64: installed-binary from 3.4.20-desktop-1.mga

Seems to me, that every kernel should have matching binary versions, or none
should, so that the source compilation doesn't get blocked.

Either that, or the dkms-fglrx package needs to conflict with the binary
versions, so that either all installed kernels use the binary version, or
all installed kernels use the source version.
Comment 20 Simon Putt 2012-12-19 17:44:55 CET
using 3.4.24 now, all hardware detected and working fine no errors in dmesg, and booted fast, vbox kernel module (the only DKMS binary module i use) was added fine. Vbox working fine. also using a new 360 controller (Wired USB) was picked up and using the xpad driver.
Comment 21 David GEIGER 2012-12-23 12:18:36 CET
Testing complete for the kernel-desktop-3.4.24-2 on Mageia release 2 (Official)
for x86_64 ,for me it's Ok nothing to report and it works fine.

kernel-desktop-latest-3.4.24-2.mga2
kernel-desktop-3.4.24-2.mga2-1-1.mga2
kernel-doc-3.4.24-2.mga2
kernel-userspace-headers-3.4.24-2.mga2
kernel-desktop-devel-latest-3.4.24-2.mga2
kernel-desktop-devel-3.4.24-2.mga2-1-1.mga2


My PC Laptop:

-ASUSTeK Computer Inc. K73SD/K73SD, BIOS K73SD.203 12/22/2011
-Graphical card : Intel and Nvidia (Optimus Technologie)
-VGA switcheroo: detected Optimus DSM method \_SB_.PCI0.PEG0.GFX0 handle
-CPU :  ‎Intel(R) Core(TM) i3-2350M CPU @ 2.30GHz

Card:Intel 810 and later: Intel Corporation|2nd Generation Core Processor
Family Integrated Graphics Controller [DISPLAY_VGA] (vendor:8086 device:0116
subv:1043 subd:1682) (rev: 09)

Card:NVIDIA GeForce 400 series and later: nVidia Corporation|Device 105a
[DISPLAY_VGA] (vendor:10de device:105a subv:1043 subd:2112) (rev: a1)
Comment 22 Bert Aerts 2012-12-23 12:28:31 CET
(In reply to comment #16)
> 
> Can the Alps Touchpad kernel patch described in
> https://forums.mageia.org/en/viewtopic.php?f=8&t=3981
> be included in this 3.4.20 Mageia 2 kernel?
> 

I compiled my own custom kernel based on 3.4.24-desktop-2 with the Alps
Touchpad patch and everything works fine!

The only thing in /var/log/boot.log that fails:
Failed to start Initialize hardware monitoring sensors [FAILED]

But I don't know whether the 3.3.8 kernel had the same issue.
Comment 23 Bert Aerts 2012-12-26 13:19:01 CET
(In reply to comment #22)
> The only thing in /var/log/boot.log that fails:
> Failed to start Initialize hardware monitoring sensors [FAILED]

sensors-detect did the trick, now lm_sensors task runs fine.
Comment 24 Thomas Backlund 2012-12-26 20:40:57 CET
Updated rpm list for validation:

i586:
cpupower-3.4.24-2.mga2.i586.rpm
cpupower-devel-3.4.24-2.mga2.i586.rpm
kernel-desktop-3.4.24-2.mga2-1-1.mga2.i586.rpm
kernel-desktop586-3.4.24-2.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-3.4.24-2.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-latest-3.4.24-2.mga2.i586.rpm
kernel-desktop586-latest-3.4.24-2.mga2.i586.rpm
kernel-desktop-devel-3.4.24-2.mga2-1-1.mga2.i586.rpm
kernel-desktop-devel-latest-3.4.24-2.mga2.i586.rpm
kernel-desktop-latest-3.4.24-2.mga2.i586.rpm
kernel-doc-3.4.24-2.mga2.noarch.rpm
kernel-netbook-3.4.24-2.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-3.4.24-2.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-latest-3.4.24-2.mga2.i586.rpm
kernel-netbook-latest-3.4.24-2.mga2.i586.rpm
kernel-server-3.4.24-2.mga2-1-1.mga2.i586.rpm
kernel-server-devel-3.4.24-2.mga2-1-1.mga2.i586.rpm
kernel-server-devel-latest-3.4.24-2.mga2.i586.rpm
kernel-server-latest-3.4.24-2.mga2.i586.rpm
kernel-source-3.4.24-2.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.24-2.mga2.noarch.rpm
kernel-userspace-headers-3.4.24-2.mga2.i586.rpm
perf-3.4.24-2.mga2.i586.rpm

xtables-addons-kernel-3.4.24-desktop-2.mga2-1.41-18.mga2.i586.rpm
xtables-addons-kernel-3.4.24-desktop586-2.mga2-1.41-18.mga2.i586.rpm
xtables-addons-kernel-3.4.24-netbook-2.mga2-1.41-18.mga2.i586.rpm
xtables-addons-kernel-3.4.24-server-2.mga2-1.41-18.mga2.i586.rpm
xtables-addons-kernel-desktop586-latest-1.41-18.mga2.i586.rpm
xtables-addons-kernel-desktop-latest-1.41-18.mga2.i586.rpm
xtables-addons-kernel-netbook-latest-1.41-18.mga2.i586.rpm
xtables-addons-kernel-server-latest-1.41-18.mga2.i586.rpm

broadcom-wl-kernel-3.4.24-desktop-2.mga2-5.100.82.112-37.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.24-desktop586-2.mga2-5.100.82.112-37.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.24-netbook-2.mga2-5.100.82.112-37.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.24-server-2.mga2-5.100.82.112-37.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-5.100.82.112-37.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-37.mga2.nonfree.i586.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-37.mga2.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-37.mga2.nonfree.i586.rpm
dkms-broadcom-wl-5.100.82.112-6.mga2.nonfree.i586.rpm

dkms-fglrx-8.961-2.mga2.nonfree.i586.rpm
fglrx-control-center-8.961-2.mga2.nonfree.i586.rpm
fglrx-devel-8.961-2.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.24-desktop-2.mga2-8.961-14.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.24-desktop586-2.mga2-8.961-14.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.24-netbook-2.mga2-8.961-14.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.24-server-2.mga2-8.961-14.mga2.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-8.961-14.mga2.nonfree.i586.rpm
fglrx-kernel-desktop-latest-8.961-14.mga2.nonfree.i586.rpm
fglrx-kernel-netbook-latest-8.961-14.mga2.nonfree.i586.rpm
fglrx-kernel-server-latest-8.961-14.mga2.nonfree.i586.rpm
fglrx-opencl-8.961-2.mga2.nonfree.i586.rpm
x11-driver-video-fglrx-8.961-2.mga2.nonfree.i586.rpm

nvidia-current-kernel-3.4.24-desktop-2.mga2-295.71-9.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.24-desktop586-2.mga2-295.71-9.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.24-netbook-2.mga2-295.71-9.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.24-server-2.mga2-295.71-9.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-295.71-9.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-295.71-9.mga2.nonfree.i586.rpm
nvidia-current-kernel-netbook-latest-295.71-9.mga2.nonfree.i586.rpm
nvidia-current-kernel-server-latest-295.71-9.mga2.nonfree.i586.rpm



x86_64:
cpupower-3.4.24-2.mga2.x86_64.rpm
cpupower-devel-3.4.24-2.mga2.x86_64.rpm
kernel-desktop-3.4.24-2.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-3.4.24-2.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-latest-3.4.24-2.mga2.x86_64.rpm
kernel-desktop-latest-3.4.24-2.mga2.x86_64.rpm
kernel-doc-3.4.24-2.mga2.noarch.rpm
kernel-netbook-3.4.24-2.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-3.4.24-2.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-latest-3.4.24-2.mga2.x86_64.rpm
kernel-netbook-latest-3.4.24-2.mga2.x86_64.rpm
kernel-server-3.4.24-2.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-3.4.24-2.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-latest-3.4.24-2.mga2.x86_64.rpm
kernel-server-latest-3.4.24-2.mga2.x86_64.rpm
kernel-source-3.4.24-2.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.24-2.mga2.noarch.rpm
kernel-userspace-headers-3.4.24-2.mga2.x86_64.rpm
perf-3.4.24-2.mga2.x86_64.rpm

xtables-addons-kernel-3.4.24-desktop-2.mga2-1.41-18.mga2.x86_64.rpm
xtables-addons-kernel-3.4.24-netbook-2.mga2-1.41-18.mga2.x86_64.rpm
xtables-addons-kernel-3.4.24-server-2.mga2-1.41-18.mga2.x86_64.rpm
xtables-addons-kernel-desktop-latest-1.41-18.mga2.x86_64.rpm
xtables-addons-kernel-netbook-latest-1.41-18.mga2.x86_64.rpm
xtables-addons-kernel-server-latest-1.41-18.mga2.x86_64.rpm

broadcom-wl-kernel-3.4.24-desktop-2.mga2-5.100.82.112-37.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.24-netbook-2.mga2-5.100.82.112-37.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.24-server-2.mga2-5.100.82.112-37.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-37.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-37.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-37.mga2.nonfree.x86_64.rpm
dkms-broadcom-wl-5.100.82.112-6.mga2.nonfree.x86_64.rpm

dkms-fglrx-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-control-center-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-devel-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.24-desktop-2.mga2-8.961-14.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.24-netbook-2.mga2-8.961-14.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.24-server-2.mga2-8.961-14.mga2.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-8.961-14.mga2.nonfree.x86_64.rpm
fglrx-kernel-netbook-latest-8.961-14.mga2.nonfree.x86_64.rpm
fglrx-kernel-server-latest-8.961-14.mga2.nonfree.x86_64.rpm
fglrx-opencl-8.961-2.mga2.nonfree.x86_64.rpm
x11-driver-video-fglrx-8.961-2.mga2.nonfree.x86_64.rpm

nvidia-current-kernel-3.4.24-desktop-2.mga2-295.71-9.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.24-netbook-2.mga2-295.71-9.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.24-server-2.mga2-295.71-9.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-295.71-9.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-netbook-latest-295.71-9.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-295.71-9.mga2.nonfree.x86_64.rpm



SRPMS:
kernel-3.4.24-2.mga2.src.rpm
kernel-userspace-headers-3.4.24-2.mga2.src.rpm

kmod-xtables-addons-1.41-18.mga2.src.rpm

broadcom-wl-5.100.82.112-6.mga2.nonfree.src.rpm
kmod-broadcom-wl-5.100.82.112-37.mga2.nonfree.src.rpm

fglrx-8.961-2.mga2.nonfree.src.rpm
kmod-fglrx-8.961-14.mga2.nonfree.src.rpm

kmod-nvidia-current-295.71-9.mga2.nonfree.src.rpm
Comment 25 user7 2012-12-27 11:32:56 CET
Testing complete on MGA2, i586.

SRPMs:
kernel-3.4.24-2.mga2.src.rpm
kernel-userspace-headers-3.4.24-2.mga2.src.rpm

What was tested: only kernel-desktop; boot, sound, usb, wifi, cd/dvd, card reader, bluetooth all ok, used for several days without problems

What was not tested: suspend, fingerprint reader

Only error message in /var/log/boot.log is:
Failed to start Load legacy module configuration
See 'systemctl status fedora-loadmodules.service' for details.

However this is not a regression (same error message with kernel 3.3.8) and does not cause any problems here.

System: 
Laptop Thinkpad L510
Intel Core 2 Duo T6570 / 2.10 GHz
Intel GMA 4500MHD Dynamic Video Memory Technology 5.0
RTL 8191SEvB Wireless LAN Controller
RTL8101E/RTL8102E PCI Express Fast Ethernet controller
HDA Intel (ALC 269 Analog) Sound card
Optical device: HL-DT-STDVDRAM GT30N

Summary:
Everything OK.
Comment 26 Manuel Hiebel 2012-12-29 01:32:37 CET
mga2, 64bits, kernel-desktop and wl-broadcom, all works fine, no regression seen.
Comment 27 Thomas Backlund 2013-01-03 15:43:29 CET
Advisory:
This kernel update provides an upgrade to upstream 3.4-longterm branch.

This allows us to benefit from extra tests and maintenance from upstream
developers and testers, providing a very good base for Mageia users.


It also fixes the following security issues:
- Calling uname() with the UNAME26 personality set allows a leak of
  kernel stack contents. (CVE-2012-0957)

- NFC: Fix multiple remotely-exploitable stack-based buffer overflows due
  to the NCI code pulling length fields directly from incoming frames and
  copying too much data into statically-sized arrays. (CVE-2012-3364)

- A use-after-free flaw has been found in madvise_remove() function in 
  the Linux kernel. madvise_remove() can race with munmap (causing a
  use-after-free of the vma) or with close (causing a use-after-free of
  the struct file). An unprivileged local user can use this flaw to crash
  the system. (CVE-2012-3510)

- Pablo Neira Ayuso discovered that avahi and potentially NetworkManager
  accept spoofed Netlink messages because of a kernel bug. The kernel
  passes all-zero SCM_CREDENTIALS ancillary data to the receiver if the
  sender did not provide such data, instead of not including any such
  data at all or including the correct data from the peer (as it is the
  case with AF_UNIX). (CVE-2012-3520)

- As Tetsuo Handa pointed out, request_module() can stress the system
  while the oom-killed caller sleeps in TASK_UNINTERRUPTIBLE.
  The task T uses "almost all" memory, then it does something which
  triggers request_module().  Say, it can simply call sys_socket().
  This in turn needs more memory and leads to OOM.  oom-killer correctly
  chooses T and kills it, but this can't help because it sleeps in
  TASK_UNINTERRUPTIBLE and after that oom-killer becomes "disabled" by
  the TIF_MEMDIE task T.A local unprivileged user can make the system
  unusable. (CVE-2012-4398)

- A flaw has been found in the way Linux kernel's KVM subsystem handled
  vcpu->arch.cr4 X86_CR4_OSXSAVE bit set upon guest enter. On hosts
  without the XSAVE feature and using qemu userspace an unprivileged
  local user could use this flaw to crash the system. (CVE-2012-4461)

- Commit 644595f89620 ("compat: Handle COMPAT_USE_64BIT_TIME in
  net/socket.c") introduced a bug where the helper functions to take
  either a 64-bit or compat time[spec|val] got the arguments in the
  wrong order, passing the kernel stack pointer off as a user pointer
  (and vice versa).
  Because of the user address range check, that in turn then causes an
  EFAULT due to the user pointer range checking failing for the kernel
  address.  Incorrectly resuling in a failed system call for 32-bit
  processes with a 64-bit kernel.
  On odder architectures like HP-PA (with separate user/kernel address
  spaces), it can be used read kernel memory. (CVE-2012-4467)

- A race condition flaw has been found in the way asynchronous I/O and
  fallocate interacted which can lead to exposure of stale data -- that
  is, an extent which should have had the "uninitialized" bit set
  indicating that its blocks have not yet been written and thus contain
  data from a deleted file. An unprivileged local user could use this
  flaw to cause an information leak. (CVE-2012-4508)

- Reading TCP stats when using TCP Illinois congestion control algorithm
  can cause a divide by zero kernel oops.An unprivileged local user could
  use this flaw to crash the system. (CVE-2012-4565)


Other fixes in this release:
- module: fix symbol waiting when module fails before init, wait when
  loading a module which is currently initializing. (mga #7375)
- add support for Atheros AR8161/8165 Atheros PCI-E Gigabit Ethernet
  Controller (mga #7853)

For other changes in 3.4 series kernel, see the kernelnewbies link,
and the referenced stable changelogs.


References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0957
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3364
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3510
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3520
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4398
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4461
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4467
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4508
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4565
http://kernelnewbies.org/Linux_3.4
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.1
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.2
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.3
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.4
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.5
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.6
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.7
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.8
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.9
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.10
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.11
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.12
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.13
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.14
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.15
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.16
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.17
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.18
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.19
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.20
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.21
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.22
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.23
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.24
https://bugs.mageia.org/show_bug.cgi?id=7375
https://bugs.mageia.org/show_bug.cgi?id=7853
https://bugs.mageia.org/show_bug.cgi?id=8068
Comment 28 Thomas Backlund 2013-01-03 16:48:35 CET
Additional fixes included:
- backport Wacom Intuos 5 support:
  https://bugs.mageia.org/show_bug.cgi?id=7659
- switch server kernel image compression back to GZIP so it works
  with Amazon EC2 and other older XEN setups
Comment 29 Dave Hodgins 2013-01-04 02:00:37 CET
Created attachment 3309 [details]
urpmi --auto-select output

Testing upgrading Mageia 2 i586.
Procedure used, clean install using boot-nonfree.iso, which selected
the server kernel.
Enabled nonfree repos, used XFdrake to install the fglrx driver.
Installed virtualbox, firmware, microcode, etc., rebooted,
to make sure everything was working ok.

Installed all other kernels, and rebooted with each to make
sure they were working.  Noted that virtualbox fails with both
3.3.6-vserver-1.mga2 and3.2.16-0.rt27.1.mga2 with
ERROR: could not insert 'vboxdrv': Exec format error

Enabled updates testing, as an update media, and ran urpmi --auto-select,
most of the output is in the attached file.

As shown, there were 7 build failures, which appear to be from the modules
trying to build before the devel package gets installed.

I then rebooted every kernel (new and old).  For all of the old, and the
new ones where building failed  during install, building worked ok.

Only real problem I noted, was that with kernel-linux, virtualbox now
fails with the Exec format error, same as the vserver and rt kernels.
This affects both the new kernel-linus and the previously installed
kernel-linus.
Comment 30 Dave Hodgins 2013-01-04 02:27:59 CET
Further with the latest linus kernel ...
modprobe -v vboxdrv
insmod /lib/modules/3.4.24-1.mga2/dkms/3rdparty/vbox/vboxdrv.ko.xz
ERROR: could not insert 'vboxdrv': Exec format error

From /var/log/messages ...
Jan  3 20:22:40 localhost kernel: [  513.913103] vboxdrv: no symbol version for module_layout

uname -r
3.4.24-1.mga2
Comment 31 William Kenney 2013-01-04 17:59:41 CET
FWIW

I have built a new ground up install of the 32-bit KDE M2 from the Install DVD,
updated to kernel kernel-desktop-3.3.8-2.mga2 and that booted to the desktop
just fine. I then installed kernel-desktop-3.4.24-2.mga2-1-1.mga2 and booted
to that desktop just fine.
Comment 32 Thomas Backlund 2013-01-04 21:25:32 CET
Thanks Dave for the very broad and detailed test...

This finally gives me the reason for dkms breakages due to theese errors:

1. the failed dkms builds is not because of missing -devel, but that the
   dkms-fglrx/broadcom/nvidia173/nvidia96xx packages that all are updated
   to support kernel-3.4 are not installed before dkms tries the build,
   so they fail. but as they get installed at end of upgrade they work
   on next boot (so this one is not a showstopper as such, unless you
   also hit point 2)

   -> fix is to conflict the non-working dkms-* in every kernel in order
      to get urpmi transactions sorted


2. if you install both kernel-source and kernel-devel, and urpmi installs
   -source before -devel, the /lib/modules/'uname -r'/{build,source}
   symlinks will point at unprepared source, not at prepared -devel
   so it will result in a module build that satisfies the dkms check,
   but kernel will refuse to load it as it's a mis-match.

   -> fix is to drop build/source symlinking from all -source rpms as
      they all ship with unprepared source trees


So... long story short... all kernels needs fixing and a rebuild...


I think you Dave can confirm point 2 with the failed vbox and 
kernel-linus by doing:

ll /lib/modules/3.4.24-1.mga2/

and build & source will point at:

/usr/src/kernel-linus-3.4.24-1.mga2/

instead of the correct:

/usr/src/kernel-linus-devel-3.4.24-1.mga2/
Comment 33 Thomas Backlund 2013-01-05 18:16:53 CET
New set for validation:

additional fixes:
- conflict dkms packages not supporting 3.4 series kernels
- kernel-linus-source does not add build & source symlinks anymore as
  they mess with dkms builds...
- A memory disclosure flaw has been found in the way binfmt_script 
  load_script() function handled excessive recursions. An
  unprivileged local user could use this flaw to leak kernel memory.
  (CVE-2012-4530)



i586:
cpupower-3.4.24-3.mga2.i586.rpm
cpupower-devel-3.4.24-3.mga2.i586.rpm
kernel-desktop-3.4.24-3.mga2-1-1.mga2.i586.rpm
kernel-desktop586-3.4.24-3.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-3.4.24-3.mga2-1-1.mga2.i586.rpm
kernel-desktop586-devel-latest-3.4.24-3.mga2.i586.rpm
kernel-desktop586-latest-3.4.24-3.mga2.i586.rpm
kernel-desktop-devel-3.4.24-3.mga2-1-1.mga2.i586.rpm
kernel-desktop-devel-latest-3.4.24-3.mga2.i586.rpm
kernel-desktop-latest-3.4.24-3.mga2.i586.rpm
kernel-doc-3.4.24-3.mga2.noarch.rpm
kernel-netbook-3.4.24-3.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-3.4.24-3.mga2-1-1.mga2.i586.rpm
kernel-netbook-devel-latest-3.4.24-3.mga2.i586.rpm
kernel-netbook-latest-3.4.24-3.mga2.i586.rpm
kernel-server-3.4.24-3.mga2-1-1.mga2.i586.rpm
kernel-server-devel-3.4.24-3.mga2-1-1.mga2.i586.rpm
kernel-server-devel-latest-3.4.24-3.mga2.i586.rpm
kernel-server-latest-3.4.24-3.mga2.i586.rpm
kernel-source-3.4.24-3.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.24-3.mga2.noarch.rpm
kernel-userspace-headers-3.4.24-3.mga2.i586.rpm
kernel-vserver-3.4.24-3.mga2-1-1.mga2.i586.rpm
kernel-vserver-devel-3.4.24-3.mga2-1-1.mga2.i586.rpm
kernel-vserver-devel-latest-3.4.24-3.mga2.i586.rpm
kernel-vserver-doc-3.4.24-3.mga2.noarch.rpm
kernel-vserver-latest-3.4.24-3.mga2.i586.rpm
kernel-vserver-source-3.4.24-3.mga2-1-1.mga2.noarch.rpm
kernel-vserver-source-latest-3.4.24-3.mga2.noarch.rpm
perf-3.4.24-3.mga2.i586.rpm

xtables-addons-kernel-3.4.24-desktop-3.mga2-1.41-19.mga2.i586.rpm
xtables-addons-kernel-3.4.24-desktop586-3.mga2-1.41-19.mga2.i586.rpm
xtables-addons-kernel-3.4.24-netbook-3.mga2-1.41-19.mga2.i586.rpm
xtables-addons-kernel-3.4.24-server-3.mga2-1.41-19.mga2.i586.rpm
xtables-addons-kernel-desktop586-latest-1.41-19.mga2.i586.rpm
xtables-addons-kernel-desktop-latest-1.41-19.mga2.i586.rpm
xtables-addons-kernel-netbook-latest-1.41-19.mga2.i586.rpm
xtables-addons-kernel-server-latest-1.41-19.mga2.i586.rpm

broadcom-wl-kernel-3.4.24-desktop-3.mga2-5.100.82.112-38.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.24-desktop586-3.mga2-5.100.82.112-38.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.24-netbook-3.mga2-5.100.82.112-38.mga2.nonfree.i586.rpm
broadcom-wl-kernel-3.4.24-server-3.mga2-5.100.82.112-38.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-5.100.82.112-38.mga2.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-38.mga2.nonfree.i586.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-38.mga2.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-38.mga2.nonfree.i586.rpm
dkms-broadcom-wl-5.100.82.112-6.mga2.nonfree.i586.rpm

dkms-fglrx-8.961-2.mga2.nonfree.i586.rpm
fglrx-control-center-8.961-2.mga2.nonfree.i586.rpm
fglrx-devel-8.961-2.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.24-desktop-3.mga2-8.961-15.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.24-desktop586-3.mga2-8.961-15.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.24-netbook-3.mga2-8.961-15.mga2.nonfree.i586.rpm
fglrx-kernel-3.4.24-server-3.mga2-8.961-15.mga2.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-8.961-15.mga2.nonfree.i586.rpm
fglrx-kernel-desktop-latest-8.961-15.mga2.nonfree.i586.rpm
fglrx-kernel-netbook-latest-8.961-15.mga2.nonfree.i586.rpm
fglrx-kernel-server-latest-8.961-15.mga2.nonfree.i586.rpm
fglrx-opencl-8.961-2.mga2.nonfree.i586.rpm
x11-driver-video-fglrx-8.961-2.mga2.nonfree.i586.rpm

nvidia-current-kernel-3.4.24-desktop-3.mga2-295.71-10.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.24-desktop586-3.mga2-295.71-10.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.24-netbook-3.mga2-295.71-10.mga2.nonfree.i586.rpm
nvidia-current-kernel-3.4.24-server-3.mga2-295.71-10.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-295.71-10.mga2.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-295.71-10.mga2.nonfree.i586.rpm
nvidia-current-kernel-netbook-latest-295.71-10.mga2.nonfree.i586.rpm
nvidia-current-kernel-server-latest-295.71-10.mga2.nonfree.i586.rpm



x86_64:
cpupower-3.4.24-3.mga2.x86_64.rpm
cpupower-devel-3.4.24-3.mga2.x86_64.rpm
kernel-desktop-3.4.24-3.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-3.4.24-3.mga2-1-1.mga2.x86_64.rpm
kernel-desktop-devel-latest-3.4.24-3.mga2.x86_64.rpm
kernel-desktop-latest-3.4.24-3.mga2.x86_64.rpm
kernel-doc-3.4.24-3.mga2.noarch.rpm
kernel-netbook-3.4.24-3.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-3.4.24-3.mga2-1-1.mga2.x86_64.rpm
kernel-netbook-devel-latest-3.4.24-3.mga2.x86_64.rpm
kernel-netbook-latest-3.4.24-3.mga2.x86_64.rpm
kernel-server-3.4.24-3.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-3.4.24-3.mga2-1-1.mga2.x86_64.rpm
kernel-server-devel-latest-3.4.24-3.mga2.x86_64.rpm
kernel-server-latest-3.4.24-3.mga2.x86_64.rpm
kernel-source-3.4.24-3.mga2-1-1.mga2.noarch.rpm
kernel-source-latest-3.4.24-3.mga2.noarch.rpm
kernel-userspace-headers-3.4.24-3.mga2.x86_64.rpm
kernel-vserver-3.4.24-3.mga2-1-1.mga2.x86_64.rpm
kernel-vserver-devel-3.4.24-3.mga2-1-1.mga2.x86_64.rpm
kernel-vserver-devel-latest-3.4.24-3.mga2.x86_64.rpm
kernel-vserver-doc-3.4.24-3.mga2.noarch.rpm
kernel-vserver-latest-3.4.24-3.mga2.x86_64.rpm
kernel-vserver-source-3.4.24-3.mga2-1-1.mga2.noarch.rpm
kernel-vserver-source-latest-3.4.24-3.mga2.noarch.rpm
perf-3.4.24-3.mga2.x86_64.rpm

xtables-addons-kernel-3.4.24-desktop-3.mga2-1.41-19.mga2.x86_64.rpm
xtables-addons-kernel-3.4.24-netbook-3.mga2-1.41-19.mga2.x86_64.rpm
xtables-addons-kernel-3.4.24-server-3.mga2-1.41-19.mga2.x86_64.rpm
xtables-addons-kernel-desktop-latest-1.41-19.mga2.x86_64.rpm
xtables-addons-kernel-netbook-latest-1.41-19.mga2.x86_64.rpm
xtables-addons-kernel-server-latest-1.41-19.mga2.x86_64.rpm

broadcom-wl-kernel-3.4.24-desktop-3.mga2-5.100.82.112-38.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.24-netbook-3.mga2-5.100.82.112-38.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-3.4.24-server-3.mga2-5.100.82.112-38.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-38.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-netbook-latest-5.100.82.112-38.mga2.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-38.mga2.nonfree.x86_64.rpm
dkms-broadcom-wl-5.100.82.112-6.mga2.nonfree.x86_64.rpm

dkms-fglrx-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-control-center-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-devel-8.961-2.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.24-desktop-3.mga2-8.961-15.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.24-netbook-3.mga2-8.961-15.mga2.nonfree.x86_64.rpm
fglrx-kernel-3.4.24-server-3.mga2-8.961-15.mga2.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-8.961-15.mga2.nonfree.x86_64.rpm
fglrx-kernel-netbook-latest-8.961-15.mga2.nonfree.x86_64.rpm
fglrx-kernel-server-latest-8.961-15.mga2.nonfree.x86_64.rpm
fglrx-opencl-8.961-2.mga2.nonfree.x86_64.rpm
x11-driver-video-fglrx-8.961-2.mga2.nonfree.x86_64.rpm

nvidia-current-kernel-3.4.24-desktop-3.mga2-295.71-10.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.24-netbook-3.mga2-295.71-10.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-3.4.24-server-3.mga2-295.71-10.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-295.71-10.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-netbook-latest-295.71-10.mga2.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-295.71-10.mga2.nonfree.x86_64.rpm



SRPMS:
kernel-3.4.24-3.mga2.src.rpm
kernel-userspace-headers-3.4.24-3.mga2.src.rpm

kmod-xtables-addons-1.41-19.mga2.src.rpm

broadcom-wl-5.100.82.112-6.mga2.nonfree.src.rpm
kmod-broadcom-wl-5.100.82.112-38.mga2.nonfree.src.rpm

fglrx-8.961-2.mga2.nonfree.src.rpm
kmod-fglrx-8.961-15.mga2.nonfree.src.rpm

kmod-nvidia-current-295.71-10.mga2.nonfree.src.rpm
Comment 34 Thomas Backlund 2013-01-05 18:21:17 CET
Updated advisory:

This kernel update provides an upgrade to upstream 3.4-longterm branch.

This allows us to benefit from extra tests and maintenance from upstream
developers and testers, providing a very good base for Mageia users.


It also fixes the following security issues:
- Calling uname() with the UNAME26 personality set allows a leak of
  kernel stack contents. (CVE-2012-0957)

- NFC: Fix multiple remotely-exploitable stack-based buffer overflows due
  to the NCI code pulling length fields directly from incoming frames and
  copying too much data into statically-sized arrays. (CVE-2012-3364)

- A use-after-free flaw has been found in madvise_remove() function in 
  the Linux kernel. madvise_remove() can race with munmap (causing a
  use-after-free of the vma) or with close (causing a use-after-free of
  the struct file). An unprivileged local user can use this flaw to crash
  the system. (CVE-2012-3510)

- Pablo Neira Ayuso discovered that avahi and potentially NetworkManager
  accept spoofed Netlink messages because of a kernel bug. The kernel
  passes all-zero SCM_CREDENTIALS ancillary data to the receiver if the
  sender did not provide such data, instead of not including any such
  data at all or including the correct data from the peer (as it is the
  case with AF_UNIX). (CVE-2012-3520)

- As Tetsuo Handa pointed out, request_module() can stress the system
  while the oom-killed caller sleeps in TASK_UNINTERRUPTIBLE.
  The task T uses "almost all" memory, then it does something which
  triggers request_module().  Say, it can simply call sys_socket().
  This in turn needs more memory and leads to OOM.  oom-killer correctly
  chooses T and kills it, but this can't help because it sleeps in
  TASK_UNINTERRUPTIBLE and after that oom-killer becomes "disabled" by
  the TIF_MEMDIE task T.A local unprivileged user can make the system
  unusable. (CVE-2012-4398)

- A flaw has been found in the way Linux kernel's KVM subsystem handled
  vcpu->arch.cr4 X86_CR4_OSXSAVE bit set upon guest enter. On hosts
  without the XSAVE feature and using qemu userspace an unprivileged
  local user could use this flaw to crash the system. (CVE-2012-4461)

- Commit 644595f89620 ("compat: Handle COMPAT_USE_64BIT_TIME in
  net/socket.c") introduced a bug where the helper functions to take
  either a 64-bit or compat time[spec|val] got the arguments in the
  wrong order, passing the kernel stack pointer off as a user pointer
  (and vice versa).
  Because of the user address range check, that in turn then causes an
  EFAULT due to the user pointer range checking failing for the kernel
  address.  Incorrectly resuling in a failed system call for 32-bit
  processes with a 64-bit kernel.
  On odder architectures like HP-PA (with separate user/kernel address
  spaces), it can be used read kernel memory. (CVE-2012-4467)

- A race condition flaw has been found in the way asynchronous I/O and
  fallocate interacted which can lead to exposure of stale data -- that
  is, an extent which should have had the "uninitialized" bit set
  indicating that its blocks have not yet been written and thus contain
  data from a deleted file. An unprivileged local user could use this
  flaw to cause an information leak. (CVE-2012-4508)

- A memory disclosure flaw has been found in the way binfmt_script 
  load_script() function handled excessive recursions. An
  unprivileged local user could use this flaw to leak kernel memory.
  (CVE-2012-4530)

- Reading TCP stats when using TCP Illinois congestion control algorithm
  can cause a divide by zero kernel oops.An unprivileged local user could
  use this flaw to crash the system. (CVE-2012-4565)


Other fixes in this release:
- module: fix symbol waiting when module fails before init, wait when
  loading a module which is currently initializing. (mga #7375)
- add support for Atheros AR8161/8165 Atheros PCI-E Gigabit Ethernet
  Controller (mga #7853)
- conflict dkms packages not supporting 3.4 series kernels
- kernel-source does not add build & source symlinks anymore as
  they mess with dkms builds.

For other changes in 3.4 series kernel, see the kernelnewbies link,
and the referenced stable changelogs.


References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0957
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3364
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3510
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3520
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4398
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4461
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4467
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4508
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4530
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4565
http://kernelnewbies.org/Linux_3.4
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.1
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.2
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.3
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.4
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.5
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.6
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.7
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.8
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.9
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.10
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.11
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.12
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.13
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.14
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.15
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.16
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.17
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.18
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.19
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.20
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.21
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.22
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.23
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.24
https://bugs.mageia.org/show_bug.cgi?id=7375
https://bugs.mageia.org/show_bug.cgi?id=7853
https://bugs.mageia.org/show_bug.cgi?id=8068
Comment 35 Thomas Backlund 2013-01-05 18:58:58 CET
I missed wacom backport and server image comoression change in advisory... :/
so second try:

Updated advisory:

This kernel update provides an upgrade to upstream 3.4-longterm branch.

This allows us to benefit from extra tests and maintenance from upstream
developers and testers, providing a very good base for Mageia users.


It also fixes the following security issues:
- Calling uname() with the UNAME26 personality set allows a leak of
  kernel stack contents. (CVE-2012-0957)

- NFC: Fix multiple remotely-exploitable stack-based buffer overflows due
  to the NCI code pulling length fields directly from incoming frames and
  copying too much data into statically-sized arrays. (CVE-2012-3364)

- A use-after-free flaw has been found in madvise_remove() function in 
  the Linux kernel. madvise_remove() can race with munmap (causing a
  use-after-free of the vma) or with close (causing a use-after-free of
  the struct file). An unprivileged local user can use this flaw to crash
  the system. (CVE-2012-3510)

- Pablo Neira Ayuso discovered that avahi and potentially NetworkManager
  accept spoofed Netlink messages because of a kernel bug. The kernel
  passes all-zero SCM_CREDENTIALS ancillary data to the receiver if the
  sender did not provide such data, instead of not including any such
  data at all or including the correct data from the peer (as it is the
  case with AF_UNIX). (CVE-2012-3520)

- As Tetsuo Handa pointed out, request_module() can stress the system
  while the oom-killed caller sleeps in TASK_UNINTERRUPTIBLE.
  The task T uses "almost all" memory, then it does something which
  triggers request_module().  Say, it can simply call sys_socket().
  This in turn needs more memory and leads to OOM.  oom-killer correctly
  chooses T and kills it, but this can't help because it sleeps in
  TASK_UNINTERRUPTIBLE and after that oom-killer becomes "disabled" by
  the TIF_MEMDIE task T.A local unprivileged user can make the system
  unusable. (CVE-2012-4398)

- A flaw has been found in the way Linux kernel's KVM subsystem handled
  vcpu->arch.cr4 X86_CR4_OSXSAVE bit set upon guest enter. On hosts
  without the XSAVE feature and using qemu userspace an unprivileged
  local user could use this flaw to crash the system. (CVE-2012-4461)

- Commit 644595f89620 ("compat: Handle COMPAT_USE_64BIT_TIME in
  net/socket.c") introduced a bug where the helper functions to take
  either a 64-bit or compat time[spec|val] got the arguments in the
  wrong order, passing the kernel stack pointer off as a user pointer
  (and vice versa).
  Because of the user address range check, that in turn then causes an
  EFAULT due to the user pointer range checking failing for the kernel
  address.  Incorrectly resuling in a failed system call for 32-bit
  processes with a 64-bit kernel.
  On odder architectures like HP-PA (with separate user/kernel address
  spaces), it can be used read kernel memory. (CVE-2012-4467)

- A race condition flaw has been found in the way asynchronous I/O and
  fallocate interacted which can lead to exposure of stale data -- that
  is, an extent which should have had the "uninitialized" bit set
  indicating that its blocks have not yet been written and thus contain
  data from a deleted file. An unprivileged local user could use this
  flaw to cause an information leak. (CVE-2012-4508)

- A memory disclosure flaw has been found in the way binfmt_script 
  load_script() function handled excessive recursions. An
  unprivileged local user could use this flaw to leak kernel memory.
  (CVE-2012-4530)

- Reading TCP stats when using TCP Illinois congestion control algorithm
  can cause a divide by zero kernel oops.An unprivileged local user could
  use this flaw to crash the system. (CVE-2012-4565)


Other fixes in this release:
- module: fix symbol waiting when module fails before init, wait when
  loading a module which is currently initializing. (mga #7375)
- backport Wacom Intuos 5 support: (#7659)
- add support for Atheros AR8161/8165 Atheros PCI-E Gigabit Ethernet
  Controller (mga #7853)
- conflict dkms packages not supporting 3.4 series kernels
- kernel-source does not add build & source symlinks anymore as
  they mess with dkms builds.
- switch server kernel image compression back to GZIP so it works
  with Amazon EC2 and other older XEN setups


For other changes in 3.4 series kernel, see the kernelnewbies link,
and the referenced stable changelogs.


References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0957
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3364
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3510
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3520
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4398
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4461
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4467
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4508
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4530
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4565
http://kernelnewbies.org/Linux_3.4
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.1
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.2
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.3
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.4
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.5
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.6
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.7
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.8
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.9
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.10
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.11
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.12
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.13
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.14
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.15
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.16
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.17
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.18
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.19
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.20
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.21
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.22
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.23
http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.4.24
https://bugs.mageia.org/show_bug.cgi?id=7375
https://bugs.mageia.org/show_bug.cgi?id=7659
https://bugs.mageia.org/show_bug.cgi?id=7853
https://bugs.mageia.org/show_bug.cgi?id=8068
Comment 36 claire robinson 2013-01-11 16:12:01 CET
kernel-desktop with nvidia-current-kernel updates ok here x86_64
Comment 37 Dave Hodgins 2013-01-11 23:38:27 CET
I've finished my testing on both i586 and x86-64 using the procedure
described in Comment 29.  Found out the desktop586 kernels can not
be installed (prior to enabling updates testing, didn't try after,
as I don't expect a 32 bit kernel should not work on a 64 bit system).
Would be nice if they didn't show up in urpmq or rpmdrake, but that's
minor.

No problems found.

Before validating, is the srpm list in comment 33 complete?
What about kernel-linus and kernel-tmb?
Comment 38 Thomas Backlund 2013-01-12 10:11:38 CET
(In reply to comment #37)

> 
> No problems found.
> 

Great :)


> Before validating, is the srpm list in comment 33 complete?
> What about kernel-linus and kernel-tmb?

Yep, list is ok.
the rest of the "core" stuff is coming through separate BRs (but pushed at the same time):

kmod:
https://bugs.mageia.org/show_bug.cgi?id=8227

kernel-firmware-nonfree:
https://bugs.mageia.org/show_bug.cgi?id=8511

virtualbox:
https://bugs.mageia.org/show_bug.cgi?id=8069



Then for the rest you asked about:
kernel-linus:
https://bugs.mageia.org/show_bug.cgi?id=8005

kernel-tmb:
https://bugs.mageia.org/show_bug.cgi?id=8512



And after that theese still needs checking / validation:
kernel-rt:
https://bugs.mageia.org/show_bug.cgi?id=8515

kernel-vserver:
https://bugs.mageia.org/show_bug.cgi?id=8513
Comment 39 David GEIGER 2013-01-12 11:50:34 CET
Created attachment 3355 [details]
dmesg file booting kernel-desktop-3.4.24-3.mga2

Testing complete for the kernel-desktop-3.4.24-3 on Mageia release 2 (Official)
for x86_64 ,for me it's Ok nothing to report and it works fine.

kernel-desktop-latest-3.4.24-3.mga2
kernel-desktop-3.4.24-3.mga2-1-1.mga2
kernel-doc-3.4.24-3.mga2
kernel-userspace-headers-3.4.24-3.mga2
kernel-desktop-devel-latest-3.4.24-3.mga2
kernel-desktop-devel-3.4.24-3.mga2-1-1.mga2
Comment 40 Philippe Didier 2013-01-14 23:19:40 CET
MGA2 32bits :

kernel-server-3.4.24-3.mga2-1-1.mga2.i586
kernel-server-devel-3.4.24-3.mga2-1-1.mga2.i586

OK for me :
A new nvidia module is built by dkms during install,
using   dkms-nvidia-current-295.71-1.mga2.nonfree.i586

When booting on this kernel everything is right...
Comment 41 Bert Aerts 2013-01-16 14:59:00 CET
Will you step up to 3.4.25 of 2013/01/11 ?
Comment 42 Thomas Backlund 2013-01-16 15:55:24 CET
Nope.

that would invalidate all tests done so far, and we really need to be able to start pushing this soon...
Comment 43 claire robinson 2013-01-16 16:03:46 CET
We're blaming Santa for the delays.
Comment 44 Thomas Backlund 2013-01-16 16:08:37 CET
Yeah, I'm not blaming anyone for the delays, sorry if it sounded that way...
Better proper QA than rolling out crap...

I just meant I wont touch the affected packages to make all QA have to be re-done... kernel QA is painful enoungh as is :)
Comment 45 Frédéric Buclin 2013-01-16 18:51:13 CET
As no one reported anything wrong, what's the ETA to push these packages to updates/?
Comment 46 Dave Hodgins 2013-01-17 04:09:10 CET
Sorry for the delay. I'll go ahead and validate the update, along with the other updates, as my testing included the
other kernels too.

Could someone from the sysadmin team push the kernel updates
from Mageia 2 Core Updates Testing to Core Updates.

See comment 35 for the advisory and comment 33 for
the list of srpms.
Comment 47 Dave Hodgins 2013-01-17 04:26:19 CET
I just noticed the problem report for the kernel-rt in
https://bugs.mageia.org/show_bug.cgi?id=8515#c13

Should we hold the kernel updates?
Comment 48 Philippe Didier 2013-01-17 12:52:00 CET
Hi Dave !

https://bugs.mageia.org/show_bug.cgi?id=8515#c13
concerns only the kernel-rt ... and is indeed an other problem
(perhaps because of some little differences between config-3.4.24-0rt36.2 and config-3.2.24-server that induce huge differences between vmlinuz-3.4.24-server-3 and vmlinuz-3.4.24-0.rt36.2 ...) 

Kernel 3.1.24 server is OK for me ! though kernel 3.4.24-rt freezes.

it doesn't prevent to validate the list of srpms from comment 33 (kernel-rt is not part of this list )

Best regards
Philippe
Comment 49 Thomas Backlund 2013-01-18 01:27:45 CET
Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0010

Note You need to log in before you can comment on or make changes to this bug.